%global _vendorperllibdir %{_datadir}/perl5/vendor_perl

Summary:  Convert LinuxDoc SGML source into other formats
Name:     linuxdoc-tools
Version:  0.9.83
Release:  2
License:  MIT
Url:      https://tracker.debian.org/pkg/linuxdoc-tools
Source:   http://http.us.debian.org/debian/pool/main/l/linuxdoc-tools/%{name}_%{version}.orig.tar.gz

BuildRequires:    gcc flex flex-static sgml-common jade
BuildRequires:    gawk groff autoconf automake texinfo
BuildRequires:    perl-interpreter >= 4:5.10.1 perl-generators
Requires:         jade gawk groff
Requires(post):   %{_bindir}/texconfig-sys
Requires(postun): %{_bindir}/texconfig-sys
Requires:         tex(latex) texinfo

Provides:         sgml-tools = %{version}-%{release}
Provides:         linuxdoc-sgml = %{version}-%{release}

%description
LinuxDoc sgml is a highly configurable text format for writing
documentation, something like html only it's simpler and can be
converted to various other formats, including html for websites.

%package_help


%prep
%autosetup -p1

%build
autoreconf -i
%configure --with-installed-nsgmls --with-installed-iso-entities --disable-docs
pushd entity-map
autoconf
%configure --enable-docs pdf
popd

%make_build OPTIMIZE="$RPM_OPT_FLAGS"
perl -pi -e 's,\$main::prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat,/usr/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           perl5lib/LinuxDocTools.pm

%install
install -d %{buildroot}%{_vendorperllibdir}
%make_install perl5libdir=%{_vendorperllibdir}
[ %{buildroot}%{_docdir}/%{name} = %{buildroot}%{_pkgdocdir} ] \
           || mv %{buildroot}%{_docdir}/%{name} %{buildroot}%{_pkgdocdir}
perl -pi -e 's,/usr/share/sgml/iso-entities-8879.1986/iso-entities.cat,\$main::prefix/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           %{buildroot}%{_vendorperllibdir}/LinuxDocTools.pm

install -d %{buildroot}%{_pkgdocdir}/sgmls-1.1
cp -p sgmls-1.1/LICENSE %{buildroot}%{_pkgdocdir}/sgmls-1.1/LICENSE
install -d %{buildroot}%{_pkgdocdir}/iso-entities
cp -p iso-entities/COPYING %{buildroot}%{_pkgdocdir}/iso-entities/COPYING
install -d %{buildroot}%{_pkgdocdir}/entity-map
cp -p entity-map/COPYING %{buildroot}%{_pkgdocdir}/entity-map/COPYING
cp -p COPYING %{buildroot}%{_pkgdocdir}/

install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
  %{buildroot}%{_datadir}/texmf/tex/latex/misc

%post
%{_bindir}/texconfig-sys rehash 2> /dev/null || :
exit 0

%postun
%{_bindir}/texconfig-sys rehash 2> /dev/null || :
exit 0

%files
%doc %{_pkgdocdir}
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/entity-map
%{_datadir}/texmf/tex/latex/misc/*.sty
%dir %{_vendorperllibdir}/Text
%{_vendorperllibdir}/Text/EntityMap.pm
%dir %{_vendorperllibdir}/LinuxDocTools
%{_vendorperllibdir}/LinuxDocTools.pm
%{_vendorperllibdir}/LinuxDocTools/*.pm
%{_vendorperllibdir}/LinuxDocTools/Data/*.pm

%files help
%{_mandir}/*/*

%changelog
* Tue Nov 21 2023 wangkai <13474090681@163.com> - 0.9.83-2
- Add requires texinfo for fix makeinfo failed

* Mon Jul 17 2023 xu_ping <707078654@qq.com> - 0.9.83-1
- Upgrade to version 0.9.83

* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.9.82-1
- Upgrade to version 0.9.82

* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 0.9.72-7
- Package init
